
require(PMCMR);
collected_values = read.table("data/hr_wide.txt", header=T, comment.char="#")

rr <- c(collected_values$RR)
vr <- c(collected_values$VR)
ar <- c(collected_values$AR)
r <- c(rr,vr,ar)

print("##### Median HR (rr, vr, ar) #####")
print(median(rr))
print(median(vr))
print(median(ar))

print("##### SD HR (rr, vr, ar) #####")

print(sd(rr))
print(sd(vr))
print(sd(ar))

y <- matrix(r,nrow=23, ncol=3,dimnames=list(1:23,c("rr","vr","ar")))
print("############### FRIEDMAN ###############")
print(friedman.test(y))

print("############### NEMENYI ###############")
nemenyi_ph <- posthoc.friedman.nemenyi.test(y,method = "bonfer1oni")
print(nemenyi_ph)

