require(PMCMR);
collected_values = read.table("data/valence_wide.txt", header=T)

rr <- c(collected_values$RR)
vr <- c(collected_values$VR)
ar <- c(collected_values$AR)
r <- c(rr,vr,ar)

print("##### Median valence (1, 3, 24) #####")
print(median(rr))
print(median(vr))
print(median(ar))

print("##### SD valence (1, 3, 24) #####")

print(sd(rr))
print(sd(vr))
print(sd(ar))

y <- matrix(r,nrow=28, ncol=3,dimnames=list(1:28,c("rr","vr","ar")))
print("############### FRIEDMAN ###############")
print(friedman.test(y))

print("############### NEMENYI ###############")
nemenyi_ph <- posthoc.friedman.nemenyi.test(y,method = "bonfer1oni")
print(nemenyi_ph)